@import 'assets/variables.scss';

.modal {
  display: flex;
  height: 80%;
  padding: $cell * 4;
  max-height: 500px;
}

.header {
  font-weight: 400;
}

.historyItems {
  position: relative;
  display: flex;
  flex-direction: column;
  .historyItem {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: $cell $cell;
    border-bottom: 1px solid $soft-grey;
    .rollString {
      margin-bottom: $cell * 0.5;
      font-size: 1.1rem; 
    }

    .rollResult {
      color: $soft-grey;
    }
  }
}

.buttons {
  display: flex;
  align-items: center;
  .reroll {
    display: flex;
    align-items: center;
    .rollButton {
      cursor: pointer;
      height: 17px;
      width: 17px;
      opacity: 0.6;

      &:hover {
        opacity: 0.8;
      }
    }
  }

  .help {
    background-color: transparent !important;
    &:hover {
      background-color: transparent !important;
    }
  }
}